<?
session_start(); 
if($v==1){
include("stilos/config.inc.php");
  include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("funcion/funciones.php");
  include("Funciones.php");

  $objPer=new clsPer;
  function getTiempo() { 
        list($usec, $sec) = explode(" ",microtime()); 
        return ((float)$usec + (float)$sec); 
  } 
$TiempoInicial = getTiempo();  
  }

?>
<table width="834" border="0">
<?
$days1='01';
$mesess=$month;
$anioss=$year;
$fecha1=$days1."-".$mesess."-".$anioss;
$fecha2=$days."-".$mesess."-".$anioss;
$rstrans=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
$totalfilasResumen = $objPer->totalrows($rstrans);
while ($rowtrans=$objPer->NextRow($rstrans)){

?>
  <tr>
    <td><div align="left"><?=$rowtrans['model_trans']." / ".$rowtrans['mat_trans']?></div></td>
  </tr>
  
  <tr>
    <td><div align="left">
      <table width="552" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <?
				$mess=substr($fecha1,3,2);
		  		$anio=substr($fecha1,6,4);
				$day="01";
				
				
				$diass=date(d);
				$ultimodia=date("t",mktime(0,0,0,$mesess,$diass,$anioss));
				
				
				$rspcp=$objPer->manpercarpesodispeso($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));//
				$rowpcp=$objPer->NextRow($rspcp);
				
				$rstipohora=$objPer->getConsolVuelos($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowtipohora=$objPer->NextRow($rstipohora);
				
				$abcde=1;
				$rst=$objPer->getTransTarifa($rowtrans['mat_trans']); 
				$rowt=$objPer->NextRow($rst);				
					
				$rsthi=$objPer->getHoraIndisponible($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowthi=$objPer->NextRow($rsthi);
				
				//$rowthi['horasv']."-".$rowthi['horastec'];
							
				
				?>
          <td width="187"><div align="center">Centros de costos </div></td>
          <? for($j=$days1;$j<=$days;$j++){?>
          <td width="89"><div align="center">
            <?=$j?>
          </div></td>
          <? }?>
          <td width="71"><div align="center">Total Horas x CC </div></td>
          <td width="83"><div align="center"></div></td>
          <td width="34"><div align="center"></div></td>
          <td width="74">            <div align="center"></div></td>
        </tr>
        <?
				$n=0;
				$totalhoracol1=0;
				$pertotal=0;
				$cartotal=0;				
				$rscd=$objPer->manpercardiasTransCC($rowtrans['mat_trans'],$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$totalfilas=$objPer->totalrows($rscd);
				while($rowcd=$objPer->NextRow($rscd)){
				$n++;
				$tothorascc1=0;
				$sumap=0;
				$perpar=0;
				$carpar=0;
				$tt1=0;
				$tipohxd=0;
				?>
        <tr class="lblCampo">
          <td><div align="left">
              <?=$rowcd['ccosto']?>
          </div></td>
          <? 
		  //if($rowpcp['sumdispercar']!='' || $rowpcp['sumdispercar']>0){
		  for($i=$days1;$i<=$days;$i++){
		  ?>
          <td><div align="center">
            <?
			
			$thdia=0;
		  	
					
				  if($rowcd['ccosto']){
				  $rshd=$objPer->getHorasxDia($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i);
				  $rowhd=$objPer->NextRow($rshd);
				  
				  $rspcdc=$objPer->manpercarpesodiscc($rowtrans['mat_trans'],$rowcd['ccosto'],$anioss."-".$mesess."-".$i);
				  $rowpcdc=$objPer->NextRow($rspcdc);
				  
				  $rspcdt=$objPer->manpercarpesodish($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i);
				  $rowpcdt=$objPer->NextRow($rspcdt);
				  
				  /* $rscombusi=$objPer->getConsolCombusTDia($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i);
				  $rowcombusi=$objPer->NextRow($rscombusi); */	
				  
				  $rsppcd=$objPer->pesopercarxdia($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i,$anioss."-".$mesess."-".$i);//
				  $rowppcd=$objPer->NextRow($rsppcd);	  		  	  
				  
				  if(($rowpcdt['dispesototal']!='') || ($rowpcdt['dispesototal']!=0) || ($rowpcdt['dispesototal']!=NULL)){
					  if($rowpcdt['dispesototal']!=0){$dispercar=$rowpcdc['dispercar']; $dispesototal=$rowpcdt['dispesototal'];}else{$dispercar=1; $dispesototal=1;}  
					  if($rowtipohora['tipohora']=='T'){ $tipoh=$rowhd['horastec'];$tipohora=$rowtipohora['horatec'];}else{$tipoh=$rowhd['horasvol']; $tipohora=$rowtipohora['horavol'];}
				  
				  $t=(($dispercar/$dispesototal)*$tipoh*60);
				  $tt1+=($dispercar/$dispesototal)*$tipoh*60;				 
				  $sumap+=$dispercar;
				  $tipohxd+=$tipoh;
				  ////////////////////////////////////////////////////////////////////////////////////////////
				  if($rowppcd['sumdispercar']!=0){ $sumdispercar=$rowppcd['sumdispercar'];}else{$sumdispercar=1;}
				  ////////////////////////////////////////////////////////////////////////////////////////////
				  $tothorascc1+=($t);				  
				  //$dishpar[]=array($rowcd['ccosto'],$i,round($t));	
				  $horasdia[]=array($rowtrans['mat_trans'],$rowcd['ccosto'],$i,$t);//$t
					  /* if($days==$i){
						  $combustible=$rowcombusi['combus'];
						  $thdia+=(($dispercar/$dispesototal)*$tipoh*60);
						  $cfhora=($rowt['tarifa']/30);
						  $cviaje=((round($tipohora)/3)*$rowt['tarifav']);
						  $choratrans=($rowt['tarifah']);
						  $horavoladas=$tipohora;
						  $horasdiacum[]=array($rowtrans['mat_trans'],$rowcd['ccosto'],$i,round($t),$cfhora,$cviaje,$horavoladas,$thdia,$choratrans,$combustible);
					  } */				  
				  	
					
					
				      $divisora=60;
					  $minutosa=60;
					  
					  $tminutosa=$minutosa*(round($t)/60);    
					  $cocientea=floor($tminutosa/$divisora);
					  
					  $restoa=$tminutosa%$divisora;
						  if($restoa<10){
							if($cocientea.":0".$restoa!='0:00'){							
								echo $cocientea.":0".$restoa;							
							}
						  }else{
							if($cocientea.":0".$restoa!='0:00'){							
								echo $cocientea.":".$restoa;							
							}
						  }
					  
					 }else{					 	
					 		echo "&nbsp;";						
					 }
				}
					
					
				  ?>
          </div></td>
          <? 
		  }
		  /* }else{
					echo "&nbsp;";
		  } */ 
		  ?>
          <td><div align="center">
              <?
				  if($rowcd['ccosto']){
				  $hcc=round($tothorascc1)/60;
				  
				  round($tothorascc1)/60;
				  echo calcular_horas_formato_inversa(round($tothorascc1)/60);				  
				  $totalhoracol=round($tothorascc1,1);
				  $totalhoracole=$tothorascc1;
				  $totalhoracol1+=$totalhoracol;
				  $dish[]=array($rowcd['ccosto'],$hcc);
				  }
				  ?>
              <? 					 
					/* $costocombus=3;
					if($rowt['tipohora']=='V'){
						if($rowt['horamaxtra']!=0){
							$dind=$rowthi['horasv']/$rowt['horamaxtra'];
						}
					}elseif($rowt['tipohora']=='T'){
						if($rowt['horamaxtra']!=0){
							$dind=$rowthi['horastec']/$rowt['horamaxtra'];
						}
					}
					
					
									
					if($rowtrans['mat_trans']=='OB-317'){
					$ctotalcal=((round($tipohora)/3)*$rowt['tarifav']);
					}elseif($rowtrans['mat_trans']=='OB-1842 P'){
					if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
					$tipohora=round($tipohora,2);
					$cdi=round(($rowt['tarifa']/30)/$tipohora,2);  //$cdi=costo diario 
					
					$dic=$dindcal; //$dic=dia de indisponibilidad calculado
					//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
					//$cfm=$cdi*$dic;   // $cfm=costo fijo mensional
					$combushora=$rowt['combus']."<br>";
					$cfm=$cdi;
					////////////////////////////////////////////////////////////////////////////////////
					if($tipohora<=40){
					$ci1=$tipohora*(1000);//
					}else{$ci1=40*1000;}
					if($tipohora>40){ 
						if($tipohora<60){
						$hi=$tipohora-40;
						}else{
						$hi=20;
						}
					$ci2=$hi*2500;
					}else{$ci2=0;}
					if($tipohora>=60){
						$hi3=$tipohora-60;
						$ci3=$hi3*2400;
					}else{$ci3=0;}
					
						$ctotalcal=($cfm+($ci1+$ci2+$ci3))*$tipohora;
					
					}elseif($rowtrans['mat_trans']=='C-GKHL'){
						if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
						$tipohora=$tipohora;//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=$cdi;   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						if($tipohora<=120){$ci1=$tipohora*2400;}else{$ci1=120*2400;}
						if($tipohora>120){$ci2=($tipohora-120)*2400;}else{$ci2=0;}
							$ctotalcal=$cfm+(($ci1+$ci2));
					}elseif($rowtrans['mat_trans']=='CFIGR'){
						if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
						$tipohora=$tipohora;//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=$cdi;   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						if($tipohora<=120){$ci1=$tipohora*2800;}else{$ci1=120*2800;}
						if($tipohora>120){$ci2=($tipohora-120)*3190;}else{$ci2=0;}
						
						$ctotalcal=$cfm+($ci1+$ci2);
					}elseif($rowtrans['mat_trans']=='BV234'){
						if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
						$tipohora=$tipohora;//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=$cdi;   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						
							$ctotalcal=$cfm+($tipohora*5148);
					}else{
						if($rowt['horamaxtra']!=''){
							$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);
							$cfm=$cdi;
							
							$ctotalcal=$cfm+($tipohora*$rowt['tarifah']);											
						}
					} */
										
					?>
              <?
					/* if($rowpcp['sumdispercar']!='' || $rowpcp['sumdispercar']!=0){
					if($rowpcp['sumdispercar']!=0){ $sumdispercar=$rowpcp['sumdispercar'];}else{$sumdispercar=1;}
					
					round((round($sumap)/round($sumdispercar))*100,1);	
								  
					$ss=round($sumap)."<br>";
					$sst=round($sumdispercar);
				  $porcentaje1=round(($sumap/$sumdispercar),4)*100; 
				  $tper+=round(($sumap/$sumdispercar),3)*100;
				  
				  }else{
				  echo "0.00";
				  } */
				  ?>
              <?
					/* if($rowcd['ccosto']){
					$dcc=number_format((($porcentaje1/100)*$ctotalcal),2,'.','');
					
					$dcct=$dcct+$dcc;
					$discosto[]=array($rowcd['ccosto'],$dcc);
					} */
					?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
        <? }$objPer->Liberar($rscd);?>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td>TOTALES</td>
          <? for($z=$days1;$z<=$days;$z++){?>
          <td><div align="center">
            <?
						
			$sumahourdia=0;
			foreach($horasdia as $indicehd=>$valuehd)
			{
				if($rowtrans['mat_trans']==$valuehd[0] && $z==$valuehd[2]){					
					$sumahourdia+=$valuehd[3];			
				}
			} 
			
				if($sumahourdia!=''){
					if($sumahourdia!=0){
				  		echo calcular_horas_formato_inversa((round($sumahourdia,2)/60));
				  		$horaresumen[]=array($rowtrans['mat_trans'],$sumahourdia);
						$sumahourpt+=$sumahourp;
					}else{echo "&nbsp;";}
				}else{
					echo "&nbsp;";
				}
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
              <?
				  echo calcular_horas_formato_inversa(round($totalhoracol1)/60)."/".round(round($totalhoracol1)/60,2);
				  ?>
              <?//$cfhora;?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
      </table>
    </div></td>
  </tr>
  <tr>
    <td><div align="left">
      <table width="552" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <?
				$mess=substr($fecha1,3,2);
		  		$anio=substr($fecha1,6,4);
				$day="01";
				
				
				$diass=date(d);
				$ultimodia=date("t",mktime(0,0,0,$mesess,$diass,$anioss));
				
				
				$rspcp=$objPer->manpercarpesodispeso($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));//
				$rowpcp=$objPer->NextRow($rspcp);
				
				$rstipohora=$objPer->getConsolVuelos($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowtipohora=$objPer->NextRow($rstipohora);
				
				$abcde=1;
				$rst=$objPer->getTransTarifa($rowtrans['mat_trans']); 
				$rowt=$objPer->NextRow($rst);				
					
				$rsthi=$objPer->getHoraIndisponible($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowthi=$objPer->NextRow($rsthi);
				
				//$rowthi['horasv']."-".$rowthi['horastec'];
							
				
				?>
          <td width="187"><div align="center">Centros de costos </div></td>
          <? for($j=$days1;$j<=$days;$j++){?>
          <td width="89"><div align="center">
              <?=$j?>
          </div></td>
          <? }?>
          <td width="71"><div align="center">Total Costo Horas x CC </div></td>
          <td width="83"><div align="center"></div></td>
          <td width="34"><div align="center"></div></td>
          <td width="74"><div align="center"></div></td>
        </tr>
        <?
				$n=0;
				$totalhoracol1=0;
				$pertotal=0;
				$cartotal=0;
				$ctotalcalcula=0;				
				$rscd=$objPer->manpercardiasTransCC($rowtrans['mat_trans'],$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$totalfilas=$objPer->totalrows($rscd);
				while($rowcd=$objPer->NextRow($rscd)){
				$n++;
				$tothorascc1=0;
				$sumap=0;
				$perpar=0;
				$carpar=0;
				$tt1=0;
				$tipohxd=0;
				$ctotalcalcula=0;
				?>
        <tr class="lblCampo">
          <td><div align="left">
              <?=$rowcd['ccosto']?>
          </div></td>
          <? 
		  //if($rowpcp['sumdispercar']!='' || $rowpcp['sumdispercar']>0){
		  for($i=$days1;$i<=$days;$i++){
		  ?>
          <td><div align="center">
              <?
			
			$thdia=0;
		  	
					
				  if($rowcd['ccosto']){
				  $rshd=$objPer->getHorasxDia($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i);
				  $rowhd=$objPer->NextRow($rshd);
				  
				  $rspcdc=$objPer->manpercarpesodiscc($rowtrans['mat_trans'],$rowcd['ccosto'],$anioss."-".$mesess."-".$i);
				  $rowpcdc=$objPer->NextRow($rspcdc);
				  
				  $rspcdt=$objPer->manpercarpesodish($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i);
				  $rowpcdt=$objPer->NextRow($rspcdt);
				  
				  /* $rscombusi=$objPer->getConsolCombusTDia($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i);
				  $rowcombusi=$objPer->NextRow($rscombusi); */	
				  
				  $rsppcd=$objPer->pesopercarxdia($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i,$anioss."-".$mesess."-".$i);//
				  $rowppcd=$objPer->NextRow($rsppcd);	  		  	  
				  
				  if(($rowpcdt['dispesototal']!='') || ($rowpcdt['dispesototal']!=0) || ($rowpcdt['dispesototal']!=NULL)){
					  if($rowpcdt['dispesototal']!=0){$dispercar=$rowpcdc['dispercar']; $dispesototal=$rowpcdt['dispesototal'];}else{$dispercar=1; $dispesototal=1;}  
					  if($rowtipohora['tipohora']=='T'){ $tipoh=$rowhd['horastec'];$tipohora=$rowtipohora['horatec'];}else{$tipoh=$rowhd['horasvol']; $tipohora=$rowtipohora['horavol'];}
				  
				  $t=(($dispercar/$dispesototal)*$tipoh*60);
				  $tt1+=($dispercar/$dispesototal)*$tipoh*60;				 
				  $sumap+=$dispercar;
				  $tipohxd+=$tipoh;
				  ////////////////////////////////////////////////////////////////////////////////////////////
				  if($rowppcd['sumdispercar']!=0){ $sumdispercar=$rowppcd['sumdispercar'];}else{$sumdispercar=1;}
				  ////////////////////////////////////////////////////////////////////////////////////////////
				  $tothorascc1+=($t);				  
				  //$dishpar[]=array($rowcd['ccosto'],$i,round($t));	
				  $horasdias[]=array($rowtrans['mat_trans'],$rowcd['ccosto'],$i,$t);//$t
					  if($days==$i){
						  $combustible=$rowcombusi['combus'];
						  $thdia+=(($dispercar/$dispesototal)*$tipoh*60);
						  $cfhora=($rowt['tarifa']/30);
						  $cviaje=((round($tipohora)/3)*$rowt['tarifav']);
						  $choratrans=($rowt['tarifah']);
						  $horavoladas=$tipohora;
						  $horasdiacum[]=array($rowtrans['mat_trans'],$rowcd['ccosto'],$i,round($t),$cfhora,$cviaje,$horavoladas,$thdia,$choratrans,$combustible);
					  }				  
				  	
					round((round($dispercar)/round($sumdispercar))*100,1)."-";
					round($dispercar)."<br>";
					round($sumdispercar)."<br>";
					$tipohxd; //tiempo en horas acumulado de los dias anteriores
					$tipoh=round($tipoh,2); //tiempo en horas del dia
					$tarifafijamensual=$rowt['tarifa'];
					$cviajetrans=$rowt['tarifav'];
					$costotranshora=$rowt['tarifah'];
					$hdiacc=round(round($t)/60,2);
					if($tipoh!=''){
						if($tipoh>0){
							$tarifafijavar=($tarifafijamensual/30)/$tipoh;
						}else{$tarifafijavar=0;}
					}else{$tarifafijavar=0;}
					//////////////////////////////////////////////////////////////////////////////////////////////////////////////
					if($rowtrans['mat_trans']=='OB-317'){
						echo $ctotalcal=round(($hdiacc/3)*$cviajetrans,2);
						
					}elseif($rowtrans['mat_trans']=='OB-1842 P'){									
						if($tipohxd<=40){
							$ci1=$hdiacc*(1000);
						}elseif($tipohxd>40 && $tipohxd<=60){ 							
							$ci1=$hdiacc*2500;
						}elseif($tipohxd>60){							
							$ci1=$hdiacc*2400;
						}
						$costofijohdiavariable=$tarifafijavar*$hdiacc;
						echo $ctotalcal=round($costofijohdiavariable+$ci1,2);
						
					}elseif($rowtrans['mat_trans']=='C-GKHL'){											
							$costofijohdiavariable=$tarifafijavar*$hdiacc;
							$ci1=$hdiacc*(2400);
							
							echo $ctotalcal=round($costofijohdiavariable+$ci1,2);
							
					}elseif($rowtrans['mat_trans']=='CFIGR'){												
						if($tipohxd<=120){$ci1=$hdiacc*2800;}elseif($tipohxd>120){$ci1=$hdiacc*3190;}
						$costofijohdiavariable=$tarifafijavar*$hdiacc;					
						echo $ctotalcal=round($costofijohdiavariable+$ci1,2);										
					}else{							
						$costofijohdiavariable=$tarifafijavar*$hdiacc;						
						echo $ctotalcal=round($costofijohdiavariable+($hdiacc*$costotranshora),2);						
					} 
					$ctotalcalcula+=$ctotalcal;
					$costoxdia[]=array($rowtrans['mat_trans'],$rowcd['ccosto'],$i,$ctotalcal);
				      
					 }else{					 	
					 		echo "&nbsp;";						
					 }
				}
					
					
				  ?>
          </div></td>
          <? 
		  }
		  /* }else{
					echo "&nbsp;";
		  } */ 
		  ?>
          <td><div align="center">
            <?
				  if($rowcd['ccosto']){
				  /* $hcc=round($tothorascc1)/60;				  
				  round($tothorascc1)/60;
				  echo calcular_horas_formato_inversa(round($tothorascc1)/60);				  
				  $totalhoracol=round($tothorascc1,1);
				  $totalhoracole=$tothorascc1;
				  $totalhoracol1+=$totalhoracol;
				  $dish[]=array($rowcd['ccosto'],$hcc); */
				  echo $ctotalcalcula;
				  $costototaltrans+=$ctotalcalcula;
				  }
				  ?>
            <? 					 
					/* $costocombus=3;
					if($rowt['tipohora']=='V'){
						if($rowt['horamaxtra']!=0){
							$dind=$rowthi['horasv']/$rowt['horamaxtra'];
						}
					}elseif($rowt['tipohora']=='T'){
						if($rowt['horamaxtra']!=0){
							$dind=$rowthi['horastec']/$rowt['horamaxtra'];
						}
					}
					
					
							
					if($rowtrans['mat_trans']=='OB-317'){
					$ctotalcal=((round($tipohora)/3)*$rowt['tarifav']);
					}elseif($rowtrans['mat_trans']=='OB-1842 P'){
					if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
					$tipohora=round($tipohora,2);
					$cdi=round(($rowt['tarifa']/30)/$tipohora,2);  //$cdi=costo diario 
					
					$dic=$dindcal; //$dic=dia de indisponibilidad calculado
					//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
					//$cfm=$cdi*$dic;   // $cfm=costo fijo mensional
					$combushora=$rowt['combus']."<br>";
					$cfm=$cdi;
					////////////////////////////////////////////////////////////////////////////////////
					if($tipohora<=40){
					//$ci1=$tipohora*(1000);
					$ci1=(1000);
					}else{$ci1=40*1000;}
					if($tipohora>40){ 
						if($tipohora<60){
						$hi=$tipohora-40;
						}else{
						$hi=20;
						}
					$ci2=$hi*2500;
					$ci2=2500;
					}else{$ci2=0;}
					if($tipohora>=60){
						$hi3=$tipohora-60;
						//$ci3=$hi3*2400;
						$ci3=2400;
					}else{$ci3=0;}
					
						$ctotalcal=($cfm+($ci1+$ci2+$ci3))*$tipohora;
					
					}elseif($rowtrans['mat_trans']=='C-GKHL'){
						if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
						$tipohora=$tipohora;//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=$cdi;   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						if($tipohora<=120){$ci1=$tipohora*2400;}else{$ci1=120*2400;}
						if($tipohora>120){$ci2=($tipohora-120)*2400;}else{$ci2=0;}
							$ctotalcal=$cfm+(($ci1+$ci2));
					}elseif($rowtrans['mat_trans']=='CFIGR'){
						if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
						$tipohora=$tipohora;//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=$cdi;   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						if($tipohora<=120){$ci1=$tipohora*2800;}else{$ci1=120*2800;}
						if($tipohora>120){$ci2=($tipohora-120)*3190;}else{$ci2=0;}
						
						$ctotalcal=$cfm+($ci1+$ci2);
					}elseif($rowtrans['mat_trans']=='BV234'){
						if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
						$tipohora=$tipohora;//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=$cdi;   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						
							$ctotalcal=$cfm+($tipohora*5148);
					}else{
						if($rowt['horamaxtra']!=''){
							$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);
							$cfm=$cdi;
							
							$ctotalcal=$cfm+($tipohora*$rowt['tarifah']);											
						}
					} */
										
					?>
              <?
					/* if($rowpcp['sumdispercar']!='' || $rowpcp['sumdispercar']!=0){
					if($rowpcp['sumdispercar']!=0){ $sumdispercar=$rowpcp['sumdispercar'];}else{$sumdispercar=1;}
					
					round((round($sumap)/round($sumdispercar))*100,1);				  
					$ss=round($sumap)."<br>";
					$sst=round($sumdispercar);
				  $porcentaje1=round(($sumap/$sumdispercar),4)*100; 
				  $tper+=round(($sumap/$sumdispercar),3)*100;
				  
				  }else{
				  echo "0.00";
				  } */
				  ?>
              <?
					/* if($rowcd['ccosto']){
					$dcc=number_format((($porcentaje1/100)*$ctotalcal),2,'.','');
					
					$dcct=$dcct+$dcc;
					$discosto[]=array($rowcd['ccosto'],$dcc);
					} */
					?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
        <? }$objPer->Liberar($rscd);?>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td>TOTALES</td>
          <? for($z=$days1;$z<=$days;$z++){?>
          <td><div align="center">
              <?
						
			/* $sumahourdia=0;
			foreach($horasdias as $indicehd=>$valuehd)
			{
				if($rowtrans['mat_trans']==$valuehd[0] && $z==$valuehd[2]){					
					$sumahourdia+=$valuehd[3];			
				}
			} 
			
				if($sumahourdia!=''){
					if($sumahourdia!=0){
				  		echo calcular_horas_formato_inversa((round($sumahourdia,2)/60));
				  		$horaresumen[]=array($rowtrans['mat_trans'],$sumahourdia);
						$sumahourpt+=$sumahourp;
					}else{echo "&nbsp;";}
				}else{
					echo "&nbsp;";
				} */
			$sumacostoxdia=0;
			foreach($costoxdia as $indicecxd=>$valuecxd)
			{
				if($rowtrans['mat_trans']==$valuecxd[0] && $z==$valuecxd[2]){					
					$sumacostoxdia+=$valuecxd[3];			
				}
			} 
			if($sumacostoxdia!=''){
					if($sumacostoxdia!=0){
						echo $sumacostoxdia;
					}else{echo "&nbsp;";}
			}else{
					echo "&nbsp;";
			}
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
              <?
				  //echo calcular_horas_formato_inversa(round($totalhoracol1)/60)."/".round(round($totalhoracol1)/60,2);
				  echo $costototaltrans;
				  ?>
              <?//$cfhora;?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
      </table>
    </div></td>
  </tr>
  <tr>
    <td><div align="left">
      <table width="552" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <?
				$mess=substr($fecha1,3,2);
		  		$anio=substr($fecha1,6,4);
				$day="01";
				
				
				$diass=date(d);
				$ultimodia=date("t",mktime(0,0,0,$mesess,$diass,$anioss));
				
				
				$rspcp=$objPer->manpercarpesodispeso($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));//
				$rowpcp=$objPer->NextRow($rspcp);
				
				$rstipohora=$objPer->getConsolVuelos($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowtipohora=$objPer->NextRow($rstipohora);
				
				$abcde=1;
				$rst=$objPer->getTransTarifa($rowtrans['mat_trans']); 
				$rowt=$objPer->NextRow($rst);				
					
				$rsthi=$objPer->getHoraIndisponible($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowthi=$objPer->NextRow($rsthi);
				
				//$rowthi['horasv']."-".$rowthi['horastec'];
							
				
				?>
          <td width="187"><div align="center">Centros de costos </div></td>
          <? for($j=$days1;$j<=$days;$j++){?>
          <td width="89"><div align="center">
              <?=$j?>
          </div></td>
          <? }?>
          <td width="71"><div align="center">Total Costo JP-1 x CC </div></td>
          <td width="83"><div align="center"></div></td>
          <td width="34"><div align="center"></div></td>
          <td width="74"><div align="center"></div></td>
        </tr>
        <?
				$n=0;
				$totalhoracol1=0;
				$pertotal=0;
				$cartotal=0;
				$ctotalcalcula=0;				
				$rscd=$objPer->manpercardiasTransCC($rowtrans['mat_trans'],$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$totalfilas=$objPer->totalrows($rscd);
				while($rowcd=$objPer->NextRow($rscd)){
				$n++;
				$tothorascc1=0;
				$sumap=0;
				$perpar=0;
				$carpar=0;
				$tt1=0;
				$tipohxd=0;
				$ctotalcalcula=0;
				$totalcombuscc=0;
				?>
        <tr class="lblCampo">
          <td><div align="left">
              <?=$rowcd['ccosto']?>
          </div></td>
          <? 
		  //if($rowpcp['sumdispercar']!='' || $rowpcp['sumdispercar']>0){
		  for($i=$days1;$i<=$days;$i++){
		  ?>
          <td><div align="center">
              <?
			
			$thdia=0;
		  	
					
				  if($rowcd['ccosto']){
				  $rshd=$objPer->getHorasxDia($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i);
				  $rowhd=$objPer->NextRow($rshd);
				  
				  $rspcdc=$objPer->manpercarpesodiscc($rowtrans['mat_trans'],$rowcd['ccosto'],$anioss."-".$mesess."-".$i);
				  $rowpcdc=$objPer->NextRow($rspcdc);
				  
				  $rspcdt=$objPer->manpercarpesodish($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i);
				  $rowpcdt=$objPer->NextRow($rspcdt);
				  
				  $rscombusi=$objPer->getConsolCombusTDia($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i);
				  $rowcombusi=$objPer->NextRow($rscombusi);
				  
				  $rsppcd=$objPer->pesopercarxdia($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i,$anioss."-".$mesess."-".$i);//
				  $rowppcd=$objPer->NextRow($rsppcd);	  		  	  
				  
				  if(($rowpcdt['dispesototal']!='') || ($rowpcdt['dispesototal']!=0) || ($rowpcdt['dispesototal']!=NULL)){
					  if($rowpcdt['dispesototal']!=0){$dispercar=$rowpcdc['dispercar']; $dispesototal=$rowpcdt['dispesototal'];}else{$dispercar=1; $dispesototal=1;}  
					  if($rowtipohora['tipohora']=='T'){ $tipoh=$rowhd['horastec'];$tipohora=$rowtipohora['horatec'];}else{$tipoh=$rowhd['horasvol']; $tipohora=$rowtipohora['horavol'];}
				  
				  $t=(($dispercar/$dispesototal)*$tipoh*60);
				  $tt1+=($dispercar/$dispesototal)*$tipoh*60;				 
				  $sumap+=$dispercar;
				  $tipohxd+=$tipoh;
				  ////////////////////////////////////////////////////////////////////////////////////////////
				  if($rowppcd['sumdispercar']!=0){ $sumdispercar=$rowppcd['sumdispercar'];}else{$sumdispercar=1;}
				  ////////////////////////////////////////////////////////////////////////////////////////////
				  $tothorascc1+=($t);				  
				  //$dishpar[]=array($rowcd['ccosto'],$i,round($t));	
				  $horasdias[]=array($rowtrans['mat_trans'],$rowcd['ccosto'],$i,$t);//$t
				  		  
				  	
					round((round($dispercar)/round($sumdispercar))*100,1)."-";
					round($dispercar)."<br>";
					round($sumdispercar)."<br>";
					$tipohxd; //tiempo en horas acumulado de los dias anteriores
					$tipoh=round($tipoh,2); //tiempo en horas del dia
					$tarifafijamensual=$rowt['tarifa'];
					$cviajetrans=$rowt['tarifav'];
					$costotranshora=$rowt['tarifah'];
					$hdiacc=round(round($t)/60,2);
					$combust=$rowcombusi['combus'];
					if($costocombus!=''){$costocombusapli=$costocombus;}else{$costocombusapli=3;}
					echo round((($hdiacc*$combust)/$tipoh)*$costocombusapli,2);
					$totalcombuscc+=round((($hdiacc*$combust)/$tipoh)*$costocombusapli,2);
				    $costocombusxdia[]=array($rowtrans['mat_trans'],$rowcd['ccosto'],$i,round((($hdiacc*$combust)/$tipoh)*$costocombusapli,2)); 					  
					 }else{					 	
					 		echo "&nbsp;";						
					 }
				}
					
					
				  ?>
          </div></td>
          <? 
		  }
		  /* }else{
					echo "&nbsp;";
		  } */ 
		  ?>
          <td><div align="center">
              <?
				  if($rowcd['ccosto']){
				  /* $hcc=round($tothorascc1)/60;				  
				  round($tothorascc1)/60;
				  echo calcular_horas_formato_inversa(round($tothorascc1)/60);				  
				  $totalhoracol=round($tothorascc1,1);
				  $totalhoracole=$tothorascc1;
				  $totalhoracol1+=$totalhoracol;
				  $dish[]=array($rowcd['ccosto'],$hcc); */
				  echo $totalcombuscc;
				  $totalcombuscct+=$totalcombuscc;
				  }
				  ?>
              <? 					 
					/* $costocombus=3;
					if($rowt['tipohora']=='V'){
						if($rowt['horamaxtra']!=0){
							$dind=$rowthi['horasv']/$rowt['horamaxtra'];
						}
					}elseif($rowt['tipohora']=='T'){
						if($rowt['horamaxtra']!=0){
							$dind=$rowthi['horastec']/$rowt['horamaxtra'];
						}
					}
					
					
							
					if($rowtrans['mat_trans']=='OB-317'){
					$ctotalcal=((round($tipohora)/3)*$rowt['tarifav']);
					}elseif($rowtrans['mat_trans']=='OB-1842 P'){
					if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
					$tipohora=round($tipohora,2);
					$cdi=round(($rowt['tarifa']/30)/$tipohora,2);  //$cdi=costo diario 
					
					$dic=$dindcal; //$dic=dia de indisponibilidad calculado
					//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
					//$cfm=$cdi*$dic;   // $cfm=costo fijo mensional
					$combushora=$rowt['combus']."<br>";
					$cfm=$cdi;
					////////////////////////////////////////////////////////////////////////////////////
					if($tipohora<=40){
					//$ci1=$tipohora*(1000);
					$ci1=(1000);
					}else{$ci1=40*1000;}
					if($tipohora>40){ 
						if($tipohora<60){
						$hi=$tipohora-40;
						}else{
						$hi=20;
						}
					$ci2=$hi*2500;
					$ci2=2500;
					}else{$ci2=0;}
					if($tipohora>=60){
						$hi3=$tipohora-60;
						//$ci3=$hi3*2400;
						$ci3=2400;
					}else{$ci3=0;}
					
						$ctotalcal=($cfm+($ci1+$ci2+$ci3))*$tipohora;
					
					}elseif($rowtrans['mat_trans']=='C-GKHL'){
						if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
						$tipohora=$tipohora;//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=$cdi;   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						if($tipohora<=120){$ci1=$tipohora*2400;}else{$ci1=120*2400;}
						if($tipohora>120){$ci2=($tipohora-120)*2400;}else{$ci2=0;}
							$ctotalcal=$cfm+(($ci1+$ci2));
					}elseif($rowtrans['mat_trans']=='CFIGR'){
						if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
						$tipohora=$tipohora;//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=$cdi;   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						if($tipohora<=120){$ci1=$tipohora*2800;}else{$ci1=120*2800;}
						if($tipohora>120){$ci2=($tipohora-120)*3190;}else{$ci2=0;}
						
						$ctotalcal=$cfm+($ci1+$ci2);
					}elseif($rowtrans['mat_trans']=='BV234'){
						if(($rowt['dias_indotor']-$dind)>=0){ $dindcal=0;}elseif(($rowt['dias_indotor']-$dind)<0){ $dindcal=($rowt['dias_indotor']-$dind);}
						$tipohora=$tipohora;//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=$cdi;   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						
							$ctotalcal=$cfm+($tipohora*5148);
					}else{
						if($rowt['horamaxtra']!=''){
							$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);
							$cfm=$cdi;
							
							$ctotalcal=$cfm+($tipohora*$rowt['tarifah']);											
						}
					} */
										
					?>
              <?
					/* if($rowpcp['sumdispercar']!='' || $rowpcp['sumdispercar']!=0){
					if($rowpcp['sumdispercar']!=0){ $sumdispercar=$rowpcp['sumdispercar'];}else{$sumdispercar=1;}
					
					round((round($sumap)/round($sumdispercar))*100,1);				  
					$ss=round($sumap)."<br>";
					$sst=round($sumdispercar);
				  $porcentaje1=round(($sumap/$sumdispercar),4)*100; 
				  $tper+=round(($sumap/$sumdispercar),3)*100;
				  
				  }else{
				  echo "0.00";
				  } */
				  ?>
              <?
					/* if($rowcd['ccosto']){
					$dcc=number_format((($porcentaje1/100)*$ctotalcal),2,'.','');
					
					$dcct=$dcct+$dcc;
					$discosto[]=array($rowcd['ccosto'],$dcc);
					} */
					?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
        <? }$objPer->Liberar($rscd);?>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td>TOTALES</td>
          <? for($z=$days1;$z<=$days;$z++){?>
          <td><div align="center">
              <?
						
			/* $sumahourdia=0;
			foreach($horasdias as $indicehd=>$valuehd)
			{
				if($rowtrans['mat_trans']==$valuehd[0] && $z==$valuehd[2]){					
					$sumahourdia+=$valuehd[3];			
				}
			} 
			
				if($sumahourdia!=''){
					if($sumahourdia!=0){
				  		echo calcular_horas_formato_inversa((round($sumahourdia,2)/60));
				  		$horaresumen[]=array($rowtrans['mat_trans'],$sumahourdia);
						$sumahourpt+=$sumahourp;
					}else{echo "&nbsp;";}
				}else{
					echo "&nbsp;";
				} */
			$sumacostocxdia=0;
			foreach($costocombusxdia as $indiceccxd=>$valueccxd)
			{
				if($rowtrans['mat_trans']==$valueccxd[0] && $z==$valueccxd[2]){					
					$sumacostocxdia+=$valueccxd[3];			
				}
			} echo $sumacostocxdia;
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
              <?
				  //echo calcular_horas_formato_inversa(round($totalhoracol1)/60)."/".round(round($totalhoracol1)/60,2);
				  echo $totalcombuscct;
				  ?>
              <?//$cfhora;?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
      </table>
    </div></td>
  </tr>
  <? } $objPer->Liberar($rstrans);?>
  <tr class="lblCampo">
    <td><div align="left">
	<? if($fecha5!=''){?>
      <table width="454" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td>Cuadro Resumen </td>
		  
          <td colspan="<?=$totalfilasResumen?>"><div align="center"></div></td>
		  
          <td width="89">&nbsp;</td>
          </tr>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td width="277"><div align="left">Centros de Costo </div></td>
		  <? //for($kc=$days1;$kc<=$days;$kc++){
		  $rstransHori=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		  $totalfilas = $objPer->totalrows($rstransHori);
		  while ($rowtransHori=$objPer->NextRow($rstransHori)){
		  ?>
          <td width="80"><div align="center">
            <?=$rowtransHori['mat_trans']?>
          </div></td>
		  <? //}
		  } $objPer->Liberar($rstransHori);
		  ?>
          <td><div align="center">Total Hora</div></td>
          </tr>
		<?
			
		$rstccs=$objPer->TransCCSel($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		while($rowtccs=$objPer->NextRow($rstccs)){
		//if($rowtccs['ccosto']){ $dispax=array(); }
		$hourparcctrans=0;
		?>
        <tr>
          <td><div align="left"><?=$rowtccs['ccosto']?></div></td>
		  <? //for($h=$days1;$h<=$totalfilas;$h++){
		  $rstransVerti=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		  $totalfilasV = $objPer->totalrows($rstransVerti);
		  while ($rowtransVerti=$objPer->NextRow($rstransVerti)){
		  
		  ?>
          <td><div align="center">
            <?
			
			$sumahourdiacum=0;
			//$sumahdiacum=0;
			
			foreach($horasdiacum as $indicehda=>$valuehda)
			{
				if($rowtransVerti['mat_trans']==$valuehda[0] && $rowtccs['ccosto']==$valuehda[1]){	
			
					$sumahourdiacum+=$valuehda[3];
					
					//$horaparcialcctrans[]=array($rowtccs['ccosto'],$sumahourdiacum);
			
				}
				//if($rowtransVerti['mat_trans']==$valuehda[0]){$sumahdiacum+=$valuehda[7];}
			}
			if($sumahourdiacum!=''){
			echo calcular_horas_formato_inversa(($sumahourdiacum/60));
			$hourparcctrans+=$sumahourdiacum;
			}else{echo "&nbsp;";}
			//$sumahourpt+=$sumahourp;
			
			?>
          </div></td>
		  <? //}
		  } $objPer->Liberar($rstransVerti);
		  ?>
          <td><div align="center">
            <?
			/* $sumahp=0;
			foreach($dish as $claveh=>$valorh)
			{
				if($rowtccs['ccosto']==$valorh[0]){				  			  
				$sumahp+=$valorh[1];
				}
			}echo calcular_horas_formato_inversa($sumahp);
			$sumaht+=$sumahp; */
			echo calcular_horas_formato_inversa($hourparcctrans/60);
			?>
          </div></td>
          </tr>
		<? } $objPer->Liberar($rstccs);?>
        <tr>
          <td>&nbsp;</td>
		  <? //for($mc=$days1;$mc<=$totalfilas;$mc++){
		  $rstransT=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		  $totalfilasT = $objPer->totalrows($rstransT);
		  while ($rowtransT=$objPer->NextRow($rstransT)){
		  ?>
          <td><div align="center">
            <?
			if(isset($horaresumen)){
			$sumahourtp=0;
			foreach($horaresumen as $indiceh => $valueh)
			{
				if($rowtransT['mat_trans']==$valueh[0]){	
						  			  
					$sumahourtp+=$valueh[1];
					
				}
			}echo calcular_horas_formato_inversa($sumahourtp/60);
			}
			
			
			?>
          </div></td>
		  <? //}
		  } $objPer->Liberar($rstransT);
		  ?>
          <td><div align="center">
            <? //calcular_horas_formato_inversa($sumaht)?>
          </div></td>
          </tr>
      </table>
	  <? }?>
    </div></td>
  </tr>
  <tr class="lblCampo">
    <td><div align="left">
      <? if($fecha5!=''){?>
      <table width="454" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td>Cuadro Resumen 2 </td>
          <td colspan="<?=$totalfilasResumen?>"><div align="center"></div></td>
          <td width="89">&nbsp;</td>
          </tr>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td width="275"><div align="left">Centros de Costo </div></td>
          <? //for($kc=$days1;$kc<=$days;$kc++){
		  $rstransHori=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		  $totalfilas = $objPer->totalrows($rstransHori);
		  while ($rowtransHori=$objPer->NextRow($rstransHori)){
		  ?>
          <td width="82"><div align="center">
              <?=$rowtransHori['mat_trans']?>
          </div></td>
          <? //}
		  } $objPer->Liberar($rstransHori);
		  ?>
          <td><div align="center">Total $ </div></td>
          </tr>
        <?
			
		$rstccs=$objPer->TransCCSel($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		while($rowtccs=$objPer->NextRow($rstccs)){
		//if($rowtccs['ccosto']){ $dispax=array(); }
		$ctotalcalcu=0;
		?>
        <tr>
          <td><div align="left">
            <?=$rowtccs['ccosto']?>
          </div></td>
          <? //for($h=$days1;$h<=$totalfilas;$h++){
		  $rstransVerti=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		  $totalfilasV = $objPer->totalrows($rstransVerti);
		  while ($rowtransVerti=$objPer->NextRow($rstransVerti)){
		  ?>
          <td><div align="center">
            <?
			
			$sumahourdiacum=0;
			$sumahdiacum=0;
			$sumacfhdiacum=0;
			$sumacvdiacum=0;
			$sumahvolacum=0;
			$sumachvoltrans=0;
			foreach($horasdiacum as $indicehda=>$valuehda)
			{
				if($rowtransVerti['mat_trans']==$valuehda[0] && $rowtccs['ccosto']==$valuehda[1]){	
			
					$sumahourdiacum+=$valuehda[3];
					//$dishourtott[]=array($h,$sumahourp);
			
				}
				if($rowtransVerti['mat_trans']==$valuehda[0]){$sumahdiacum+=$valuehda[7];$sumacfhdiacum=$valuehda[4];$sumacvdiacum=$valuehda[5];$sumahvolacum=$valuehda[6];$sumachvoltrans=$valuehda[8];}
			}
			if($sumahourdiacum!=''){
			calcular_horas_formato_inversa(($sumahourdiacum/60));
			calcular_horas_formato_inversa(($sumahdiacum/60));
			//($rowtrans['mat_trans'],$rowcd['ccosto'],$i,round($t),$cfhora,$cviaje,$horavoladas,$thdia);
			$hdiacc=($sumahourdiacum/60);
			//$hdiat=($sumahdiacum/60); 
			if(($sumahdiacum/60)!=''){
				if(($sumahdiacum/60)!=0){
					$hdiat=($sumahdiacum/60);	
				}
			}else{$hdiat=1;}
			$cfhtrans=$sumacfhdiacum;
			$cviajetrans=$sumacvdiacum;
			$horavoladatrans=$sumahvolacum;
			$costotranshora=$sumachvoltrans;
				 	if($rowtransVerti['mat_trans']=='OB-317'){
						echo $ctotalcal=round(($hdiacc/3)*$cviajetrans,2);
						
					}elseif($rowtransVerti['mat_trans']=='OB-1842 P'){									
						if($horavoladatrans<=40){
							$ci1=$hdiacc*(1000);
						}elseif($horavoladatrans>40 && $horavoladatrans<=60){ 							
							$ci1=$hdiacc*2500;
						}elseif($horavoladatrans>60){							
							$ci1=$hdiacc*2400;
						}
						$cotofijohdia=($cfhtrans/$hdiat)*$hdiacc;
						echo $ctotalcal=round($cotofijohdia+$ci1,2);
						
					}elseif($rowtransVerti['mat_trans']=='C-GKHL'){											
							$cotofijohdia=($cfhtrans/$hdiat)*$hdiacc;
							$ci1=$hdiacc*(2400);
							
							echo $ctotalcal=round($cotofijohdia+$ci1,2);
							
					}elseif($rowtransVerti['mat_trans']=='CFIGR'){												
						if($horavoladatrans<=120){$ci1=$hdiacc*2800;}elseif($horavoladatrans>120){$ci1=$hdiacc*3190;}
						$cotofijohdia=($cfhtrans/$hdiat)*$hdiacc;						
						echo $ctotalcal=round($cotofijohdia+$ci1,2);
										
					}else{							
						$cotofijohdia=($cfhtrans/$hdiat)*$hdiacc;						
						echo $ctotalcal=round($cotofijohdia+($hdiacc*$costotranshora),2);
						
					} 
				$ctotalcalcu+=round($ctotalcal,2);
				$ctotalcalculado+=$ctotalcalcu;
				$CostoTotaldiaTrans[]=array($rowtransVerti['mat_trans'],round($ctotalcal,2));
			}else{echo "&nbsp;";}
			
			//$sumahourpt+=$sumahourp;
			
			?>
          </div></td>
          <? //}
		  } $objPer->Liberar($rstransVerti);
		  ?>
          <td><div align="center">
              <?
			echo $ctotalcalcu;
			?>
          </div></td>
          </tr>
        <? } $objPer->Liberar($rstccs);?>
        <tr>
          <td>&nbsp;</td>
          <? //for($mc=$days1;$mc<=$totalfilas;$mc++){
		  $rstransT=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		  $totalfilasT = $objPer->totalrows($rstransT);
		  while ($rowtransT=$objPer->NextRow($rstransT)){
		  ?>
          <td><div align="center">
              <?
			if(isset($CostoTotaldiaTrans)){
			$sumacostototal=0;
			foreach($CostoTotaldiaTrans as $indiceTotalCosto => $valueTotalCosto)
			{
				if($rowtransT['mat_trans']==$valueTotalCosto[0]){	
						  			  
					$sumacostototal+=$valueTotalCosto[1];
					
				}
			}echo $sumacostototal;//calcular_horas_formato_inversa($sumahourtp/60);
			}
			
			
			?>
          </div></td>
          <? //}
		  } $objPer->Liberar($rstransT);
		  ?>
          <td><div align="center">
              <? //calcular_horas_formato_inversa($sumaht)?>
          </div></td>
          </tr>
      </table>
      <? }?>
    </div></td>
  </tr>
  <tr class="lblCampo">
    <td><div align="left">
      <? if($fecha5!=''){?>
      <table width="454" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td>Cuadro Resumen 3 </td>
          <td colspan="<?=$totalfilasResumen?>"><div align="center"></div></td>
          <td width="89">&nbsp;</td>
        </tr>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td width="277"><div align="left">Centros de Costo </div></td>
          <? //for($kc=$days1;$kc<=$days;$kc++){
		  $rstransHori=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		  $totalfilas = $objPer->totalrows($rstransHori);
		  while ($rowtransHori=$objPer->NextRow($rstransHori)){
		  ?>
          <td width="80"><div align="center">
              <?=$rowtransHori['mat_trans']?>
          </div></td>
          <? //}
		  } $objPer->Liberar($rstransHori);
		  ?>
          <td><div align="center">Total</div></td>
        </tr>
        <?
			
		$rstccs=$objPer->TransCCSel($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		while($rowtccs=$objPer->NextRow($rstccs)){
		//if($rowtccs['ccosto']){ $dispax=array(); }
		$costocombuspar=0;
		?>
        <tr>
          <td><div align="left">
            <?=$rowtccs['ccosto']?>
          </div></td>
          <? //for($h=$days1;$h<=$totalfilas;$h++){
		  $rstransVerti=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		  $totalfilasV = $objPer->totalrows($rstransVerti);
		  while ($rowtransVerti=$objPer->NextRow($rstransVerti)){
		  ?>
          <td><div align="center">
              <?
			
			$sumahourdiacum=0;
			$sumahdiacum=0;
			
			foreach($horasdiacum as $indicehda=>$valuehda)
			{
				if($rowtransVerti['mat_trans']==$valuehda[0] && $rowtccs['ccosto']==$valuehda[1]){			
					$sumahourdiacum+=$valuehda[3];		
				}
				if($rowtransVerti['mat_trans']==$valuehda[0]){$sumahdiacum+=$valuehda[7];$sumacfhdiacum=$valuehda[4];$sumacvdiacum=$valuehda[5];$sumahvolacum=$valuehda[6];$sumachvoltrans=$valuehda[8];$combust=$valuehda[9];}
			}
			if($sumahourdiacum!=''){
			$hdiacc=($sumahourdiacum/60);
			if(($sumahdiacum/60)!=''){
				if(($sumahdiacum/60)!=0){
					$hdiat=($sumahdiacum/60);	
				}
			}else{$hdiat=1;}
				if($costocombus!=''){$costocombusapli=$costocombus;}else{$costocombusapli=3;}
				echo round((($hdiacc*$combust)/$hdiat)*$costocombusapli,2);
				$discombust[]=array($rowtransVerti['mat_trans'],round((($hdiacc*$combust)/$hdiat)*$costocombusapli,2));
				$costocombuspar+=round((($hdiacc*$combust)/$hdiat)*$costocombusapli,2);
				}else{echo "&nbsp;";}
			
			//$sumahourpt+=$sumahourp;
			
			?>
          </div></td>
          <? //}
		  } $objPer->Liberar($rstransVerti);
		  ?>
          <td><div align="center">
              <?
			/* $sumahp=0;
			foreach($dish as $claveh=>$valorh)
			{
				if($rowtccs['ccosto']==$valorh[0]){				  			  
				$sumahp+=$valorh[1];
				}
			}echo calcular_horas_formato_inversa($sumahp);
			$sumaht+=$sumahp; */
			echo $costocombuspar;
			?>
          </div></td>
        </tr>
        <? } $objPer->Liberar($rstccs);?>
        <tr>
          <td>&nbsp;</td>
          <? //for($mc=$days1;$mc<=$totalfilas;$mc++){
		  $rstransT=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
		  $totalfilasT = $objPer->totalrows($rstransT);
		  while ($rowtransT=$objPer->NextRow($rstransT)){
		  ?>
          <td><div align="center">
              <?
			/* if(isset($horaresumen)){
			$sumahourtp=0;
			foreach($horaresumen as $indiceh => $valueh)
			{
				if($rowtransT['mat_trans']==$valueh[0]){	
						  			  
					$sumahourtp+=$valueh[1];
					
				}
			}echo calcular_horas_formato_inversa($sumahourtp/60);
			} */			
			
			if(isset($discombust)){
			$sumacombus=0;
			foreach($discombust as $indicecombus => $valuecombus)
			{
				if($rowtransT['mat_trans']==$valuecombus[0]){	
					 			  
					$sumacombus+=$valuecombus[1];
					
				}
			} echo $sumacombus;
			}
			?>
          </div></td>
          <? //}
		  } $objPer->Liberar($rstransT);
		  ?>
          <td><div align="center">
              <? //calcular_horas_formato_inversa($sumaht)?>
          </div></td>
        </tr>
      </table>
      <? }?>
    </div></td>
  </tr>
  <tr>
    <td><div align="center"></div></td>
  </tr>
</table>
<?
if($v==1){
$TiempoFinal = getTiempo(); 
$Tiempo = $TiempoFinal - $TiempoInicial; 
$Tiempo = round($Tiempo,6); 
echo "Esta pagina ha cargado en $Tiempo segundos.";  
}
//var_dump($dispax)."<br>";
//count($dispax);
?>